Skip to main content
`Ctrl`+`K`

# PetscDARegister

Registers a constructor for a `PetscDA` implementation with the dispatcher.

## Synopsis

    PetscErrorCode PetscDARegister(const char sname[], PetscErrorCode (*function)(PetscDA))

Not Collective

## Input Parameters

- sname - name associated with the implementation

- function - routine that creates the implementation and installs method table

## See Also

PetscDA: Data Assimilation, `PetscDARegisterAll()`, `PetscDASetType()`

## Level

developer

## Location

src/ml/da/interface/petscda.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages